
Redmine - Feature #24568

Show locked users in 'Users' filter for 'Spent time' report

2016-12-09 06:55 - Sergey User

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

It is not possible to select a locked user for 'Spent time' report using 'User' filter option (only Active users are shown). While this

behavior is correct for other places where users are selected (only active users can do something), it is not correct for this particular

report, as it still contains workload data for locked users. In other words, the data (workload entries for locked users) is visible in the

report, but it is not possible to filter it properly for these particular users.

It is suggested to resolve it as follows:

1. Make it a default behavior to show ALL users in the 'Users' filter for this particular report;

2. Separate locked users in the list from active, for instance:

<<me>>

--- Active users ---

<List of active users>

--- Locked users ---

<List of locked users>

3. (Optional, in case of backward compatibility is required) Add Administrative option to disable this default behavior (default: Off):

'Hide locked users from Spent time report'.

Related issues:

Related to Redmine - Feature #11069: Ability to search tasks of Locked Users Closed

Related to Redmine - Feature #15201: Filter "Assignee" should contain locked ... Closed

Related to Redmine - Feature #29042: Add links to Users, Projects and Version... Closed

History

#1 - 2016-12-11 05:29 - Go MAEDA

- Related to Feature #11069: Ability to search tasks of Locked Users added

#2 - 2016-12-24 08:51 - Go MAEDA

- Category set to Time tracking

#3 - 2017-02-24 11:08 - Esteve Navas

I would want to second this, and I will explain why:

Where I work we should do tracking of past workers, because they contact with customers and when they are not in the company anymore we lock

them, but new issues with customers can involve old workers since we have to track any activity of the issue from the start.

So, for us locked users appearing in the custom-field type user is necessary, otherwise we have to create a custom field type list and keep it updated

everytime any worker is not here anymore, and that is annoying.

I've been looking inside the code but I don't know much about Ruby, so I don't want to mess around :(

Thank you.

#4 - 2017-05-08 14:17 - Jürgen Depicker

This is related to #15201.  See #15201-13.

#5 - 2017-05-21 22:48 - Marius BĂLTEANU

2025-07-01 1/3

https://www.redmine.org/issues/15201
https://www.redmine.org/issues/15201#note-13


I've added a patch to #15201 that implements this feature.

#6 - 2017-06-06 19:25 - Toshi MARUYAMA

- Related to Feature #15201: Filter "Assignee" should contain locked users added

#7 - 2017-10-09 07:40 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

#8 - 2017-10-26 00:49 - Marius BĂLTEANU

- File 24568_show_locked_users_in_timelog_report.patch added

- File timelog_report.png added

- File timelog_report_before.png added

I made a patch that adds the usual links to Users, Projects and Versions (at least) in the timelog report. In this way, the locked users will have the

grey out style and can be differentiated by the active users.

Before

 timelog_report_before.png 

After

 timelog_report.png 

I think that it'll be useful to deliver this change together with #15201.

#9 - 2017-10-26 00:59 - Marius BĂLTEANU

- File deleted (24568_show_locked_users_in_timelog_report.patch)

#10 - 2017-10-26 00:59 - Marius BĂLTEANU

- File 24568_show_locked_users_in_timelog_report.patch added

#11 - 2018-06-09 10:23 - Go MAEDA

- Target version set to Candidate for next major release

#12 - 2018-06-17 09:10 - Go MAEDA

The patch #24568#note-10 looks good.

But I think it would be better to create a new issue for the patch. The reasons are as follows:

The feature requested in this issue has already been implemented by #15201.

Your patch brings an improvement differ from the original request.

Marius, could you create a new issue for the patch?

#13 - 2018-06-17 21:56 - Marius BĂLTEANU

- Status changed from New to Closed

- Assignee deleted (Marius BĂLTEANU)

- Target version deleted (Candidate for next major release)

- Resolution set to Fixed

Go MAEDA wrote:

The patch #24568#note-10 looks good.

But I think it would be better to create a new issue for the patch. The reasons are as follows:

The feature requested in this issue has already been implemented by #15201.

Your patch brings an improvement differ from the original request.

Marius, could you create a new issue for the patch?

 Done (#29042).

2025-07-01 2/3

https://www.redmine.org/issues/15201
https://www.redmine.org/issues/15201
https://www.redmine.org/issues/24568#note-10
https://www.redmine.org/issues/15201
https://www.redmine.org/issues/24568#note-10
https://www.redmine.org/issues/15201
https://www.redmine.org/issues/29042


In this case, I'm closing this one as fixed by r17371 in #15201.

#14 - 2018-06-17 21:56 - Marius BĂLTEANU

- Related to Feature #29042: Add links to Users, Projects and Versions (at least) in timelog report added

Files

timelog_report.png 159 KB 2017-10-25 Marius BĂLTEANU

timelog_report_before.png 158 KB 2017-10-25 Marius BĂLTEANU

24568_show_locked_users_in_timelog_report.patch 2.74 KB 2017-10-25 Marius BĂLTEANU
